fop 2.3

## org.apache.fop.layoutmgr
Class FootenoteUtil

    java.lang.Object
      org.apache.fop.layoutmgr.FootenoteUtil

    public final class FootenoteUtil

extends java.lang.Object

Method Summary
`static java.util.List<FootnoteBodyLayoutManager>` `getFootnotes(java.util.List<ListElement> elemenList)` Returns the footnotes contained in the given element list.
`static java.util.List<FootnoteBodyLayoutManager>` `getFootnotes(java.util.List<ListElement> elemenList, int startIndex, int endIndex)` Returns the footnotes contained in the given element list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFootnotes

    public static java.util.List<FootnoteBodyLayoutManager> getFootnotes(java.util.List<ListElement> elemenList)

  Returns the footnotes contained in the given element list.

### getFootnotes

    public static java.util.List<FootnoteBodyLayoutManager> getFootnotes(java.util.List<ListElement> elemenList,
                                                                         int startIndex,
                                                                         int endIndex)

  Returns the footnotes contained in the given element list.

  Parameters:
    `startIndex` - index in the element list from which to start the scan, inclusive
    `endIndex` - index in the element list at which to stop the scan, inclusive

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.